Description

When wanting to tell where an "object" is situated (the coordinates) you can have its latitude + longitude (and sometimes its altitude).
But should latitude be mapped to xPosition or yPosition in the class PositionPoint in CIM? (In the package IEC61968 Common.)
Compare a discussion here [[
https://gis.stackexchange.com/questions/99769/why-some-coordinate-systems-define-x-axis-as-northings-and-some-as-easting]]
How to interpret the coordinates can be given by the specified CoordinateSystem.

In mathematics you are used to have y as "north" and x as "east", but for geographical coordinates it is the other way around.

One site describing latitude, longitude and coordinates is [[hitps:/gisgeography.com/latitude-longitude-coordinates/]]

Proposed Solution

One way of helping users of CIM to understand this, would be to update the descriptions for the different attributes in PositionPoint
like the following:

xPosition: X axis position, e.g. longitude.

yPosition: Y axis position, e.g. latitude.

zPosition: (If applicable) Z axis position, e.g. altitude.

History

#1 - 04/19/2023 09:02 AM - Jan Owe

The first suggestef "Proposed Solution” is an example of that a better description could have helped the situation.
The descriptions should rather, if updated like this, be:

xPosition: X axis position, e.g. latitude.

yPosition: Y axis position, e.g. longitude.

zPosition: (If applicable) Z axis position, e.g. altitude.

#2 - 05/31/2023 07:52 PM - David Haynes

| like your proposed clarification that X=longitude, Y=latitude, Z=altitude.

There are different coordinate systems, and it will be necessary to specify the coordinate system in use.

The unit of measure will also vary. Most use the legacy degrees, minutes, seconds measurement style. Many newer electronic systems use decimal
degrees.

However, there are more wrinkles to this. Poles typically have an assigned position on a map. But conductors are strung between them. They will

blow with the wind. Anti-vibration devices, spacers, and other equipment will be "located" not with the same XYZ positioning, but rather some distance
down the line relative to a pole position.
The poles themselves are assets. They may eventually tilt over time. Given that the base has an XYZ position, the pole itself can lean, but how do
you describe the lean? I'm planning to add to Part 9 (because sensors can measure this lean) that a "tilt" measurement be made in degrees and
expressed (per the understanding above) as an angle in the XZ plane or YZ plane. Now, to make matters worse, these pole mounted sensors are not
aligned when they are installed with geographic North. They are aligned facing the street so the person in the bucket truck can access them. So we
need also to measure absolute and relative alignments per different points of reference.

#3 - 10/14/2023 10:40 AM - Henry Dotson

- Status changed from New to Open

#4 - 10/14/2023 10:40 AM - Henry Dotson

- Status changed from Open to Review
